> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Search Settings by Name

> Update site search settings for a specific site by name.



## OpenAPI

````yaml /openapi/openapi_catalog_admin.json put /commerce/catalog/admin/search/settings/{name}
openapi: 3.0.1
info:
  description: |-
    <div id="overview_CATALOG_ADMIN">
                <h2>CATALOG ADMINISTRATION</h2>
                <p>The Catalog Administration APIs are a collection of resources for configuring the catalogs and products offered to your shoppers, including
                    discounts and coupon sets, faceting, price lists, and different types or variations of products. See the
                    <a href="/concept-guides/catalog">Catalog user guides</a>
                    for information about the related features in the Unified Commerce Admin.</p>
                <p>Use the <strong>Attributes</strong> resource to manage localization and attribute configurations for your catalogs. This current version of the Attributes API includes localizedContent to
                    support <a href="/pages/catalog-structure#multi-locale-catalogs">multi-locale catalogs</a>, which was not present in the legacy API model. If
                    you were a client prior to May 2024 and have upgraded your implementation to support this feature,
                    you can still access attribute data that has not yet been rewritten to the new model by providing
                    an x-api-version header set to "1". </p>
                <p>Use the <strong>Categories</strong> resource to organize products and control where they appear on the storefront. Create
                    and maintain a hierarchy of categories and subcategories where the site will store properties. This current version of the Categories API includes localizedContent to
                    support <a href="/pages/catalog-structure#multi-locale-catalogs">multi-locale catalogs</a>, which was not present in the legacy API model. If
                    you were a client prior to May 2024 and have upgraded your implementation to support this feature,
                    you can still access category data that has not yet been rewritten to the new model by providing
                    an x-api-version header set to "1". </p>
                <p>Use the <strong>Coupon Sets</strong> resource to view and create coupon sets. You can use coupon sets to group multiple
                    coupon codes together and associate them with one or more discounts.</p>
                <p>Use the <strong>Currency</strong> resource to manage the currency localization rules and exchange rates for any of the
                    currencies that are supported for placing orders in.</p>
                <p>Use the <strong>Discounts</strong> and <strong>Discount Settings</strong> resources to define and manage discounts to apply to products, product categories, or
                    orders. This current version of the Discounts API includes localizedContent to
                    support <a href="/pages/catalog-structure#multi-locale-catalogs">multi-locale catalogs</a>, which was not present in the legacy Products API model. If
                    you were a client prior to May 2024 and have upgraded your implementation to support this feature,
                    you can still access discount data that has not yet been rewritten to the new model by providing
                    an x-api-version header set to "1". </p>
                <p>Use the <strong>Facets</strong> resource to manage the facets shoppers use to filter product display results on a
                    storefront. Facets can include categories, product attributes, or prices, and use either a range of
                    values or discrete values.</p>
                <p>Use the <strong>Master Catalog</strong> resource to view details of the master catalogs associated with a tenant and to
                    manage the product publishing mode for each master catalog.</p>
                <p>Use the <strong>Price Lists</strong> resources to view and create price lists. You can use price lists to override the
                    catalog pricing of products for specific customer segments and/or sites.</p>
                <p>Use the <strong>Products</strong>, <strong>Product Types/Extras/Options/Properties</strong>, and <strong>Product Sort Definitions</strong> resources to create new product definitions in the master catalog and determine which
                    catalogs will feature products. This current version of the Products API includes localizedContent to
                    support <a href="/pages/catalog-structure#multi-locale-catalogs">multi-locale catalogs</a>, which was not present in the legacy Products API model. If
                    you were a client prior to May 2024 and have upgraded your implementation to support this feature,
                    you can still access product data that has not yet been rewritten to the new model by providing
                    an x-api-version header set to "1".</p>
                <p>Use the <strong>Publishing</strong> resource to publish pending product updates together as part of a set.</p>
                <p>Use the <strong>Search</strong> resource to manage all settings and options for providing product search on your site, as
                    well as search tuning rules.</p>
            </div>
  title: Catalog Admin
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/catalog/admin/search/settings/{name}:
    put:
      tags:
        - SearchSettings
      summary: Update Search Settings by Name
      description: Update site search settings for a specific site by name.
      parameters:
        - in: path
          name: name
          required: true
          schema:
            type: string
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SearchSettings'
        description: ''
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SearchSettings'
            text/json:
              schema:
                $ref: '#/components/schemas/SearchSettings'
            text/plain:
              schema:
                $ref: '#/components/schemas/SearchSettings'
          description: OK
components:
  schemas:
    SearchSettings:
      description: Settings to control product search and indexing behavior
      properties:
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        categorySuggestSettings:
          $ref: '#/components/schemas/SuggestSettings'
        collapseSettings:
          $ref: '#/components/schemas/CollapseSettings'
        description:
          nullable: true
          type: string
        isDefault:
          type: boolean
        listingSettings:
          $ref: '#/components/schemas/ListingSettings'
        productSuggestSettings:
          $ref: '#/components/schemas/ProductSuggestSettings'
        settingsName:
          nullable: true
          type: string
        siteSearchSettings:
          $ref: '#/components/schemas/SiteSearchSettings'
      type: object
    AdminUserAuditInfo:
      properties:
        createBy:
          nullable: true
          type: string
        createDate:
          format: date-time
          nullable: true
          type: string
        updateBy:
          nullable: true
          type: string
        updateDate:
          format: date-time
          nullable: true
          type: string
      type: object
    SuggestSettings:
      properties:
        crossFieldAdditiveScoreFactor:
          format: double
          type: number
        fieldWeights:
          items:
            $ref: '#/components/schemas/FieldWeight'
          nullable: true
          type: array
        personalizationExperience:
          nullable: true
          type: string
        personalizationFactor:
          format: double
          nullable: true
          type: number
        returnFields:
          items:
            type: string
          nullable: true
          type: array
      type: object
    CollapseSettings:
      description: Settings to control product search and indexing behavior
      properties:
        boostFieldName:
          nullable: true
          type: string
        boostRankListing:
          nullable: true
          type: boolean
        boostRankSiteSearch:
          nullable: true
          type: boolean
        collapseFieldName:
          nullable: true
          type: string
        collapseListing:
          nullable: true
          type: boolean
        collapseSiteSearch:
          nullable: true
          type: boolean
        useFieldCache:
          nullable: true
          type: boolean
      type: object
    ListingSettings:
      properties:
        customBoosts:
          items:
            type: string
          nullable: true
          type: array
        fieldValueBoost:
          $ref: '#/components/schemas/FieldValueBoost'
        personalizationExperience:
          nullable: true
          type: string
        personalizationFactor:
          format: double
          nullable: true
          type: number
      type: object
    ProductSuggestSettings:
      properties:
        crossFieldAdditiveScoreFactor:
          format: double
          type: number
        customBoosts:
          items:
            type: string
          nullable: true
          type: array
        fieldValueBoost:
          $ref: '#/components/schemas/FieldValueBoost'
        fieldWeights:
          items:
            $ref: '#/components/schemas/FieldWeight'
          nullable: true
          type: array
        personalizationExperience:
          nullable: true
          type: string
        personalizationFactor:
          format: double
          nullable: true
          type: number
        returnFields:
          items:
            type: string
          nullable: true
          type: array
        searchChildProductsByDefault:
          type: boolean
      type: object
    SiteSearchSettings:
      properties:
        crossFieldAdditiveScoreFactor:
          format: double
          type: number
        customBoosts:
          items:
            type: string
          nullable: true
          type: array
        fieldValueBoost:
          $ref: '#/components/schemas/FieldValueBoost'
        fieldWeights:
          items:
            $ref: '#/components/schemas/SiteSearchFieldWeight'
          nullable: true
          type: array
        minimumMatchPercents:
          items:
            format: int32
            type: integer
          nullable: true
          type: array
        multiTermSynMinimumMatchPercents:
          description: "if values present is used for mm when sowBehavior.WhenNoMultiTermSyn and multi term sym match found in query\r\nif no values are present or null fallback to MinMatchPercents"
          items:
            format: int32
            type: integer
          nullable: true
          type: array
        personalizationExperience:
          nullable: true
          type: string
        personalizationFactor:
          format: double
          nullable: true
          type: number
        phraseSlop:
          format: int32
          type: integer
        searchChildProductsByDefault:
          type: boolean
        searchMode:
          format: int32
          nullable: true
          type: integer
        sowBehavior:
          description: "controls sowBehavior (Never=0, Always=1, WhenNoMultiTermSyn=2)\r\nnever sow=false, always sow=true,  WhenNoMultiTermSyn = (depends on existance of multitermsynonym match in query)"
          format: int32
          nullable: true
          type: integer
        spellcheck:
          $ref: '#/components/schemas/CatalogAdminsSpellcheck'
        twoWordPhraseBoost:
          description: "if true, 2 word shingles used for phrase boosting based on fields with phrase weights greater than 0\r\nif false, only full phrase mathing used for phrase boosting"
          nullable: true
          type: boolean
        typoTolerance:
          $ref: '#/components/schemas/TypoTolerance'
        vectorSettings:
          $ref: '#/components/schemas/VectorSearchSettings'
      type: object
    FieldWeight:
      properties:
        searchFieldName:
          description: field in the index to target
          nullable: true
          type: string
        weight:
          description: weight to apply to boost field
          format: int32
          type: integer
      type: object
    FieldValueBoost:
      properties:
        boostType:
          nullable: true
          type: string
        fields:
          items:
            $ref: '#/components/schemas/BoostField'
          nullable: true
          type: array
      type: object
    SiteSearchFieldWeight:
      description: A custom field and weight value for search relevancy
      properties:
        phraseWeight:
          description: weight to apply in phrase boosting
          format: int32
          type: integer
        searchFieldName:
          description: field in the index to target
          nullable: true
          type: string
        weight:
          description: weight to apply to boost field
          format: int32
          type: integer
      type: object
    CatalogAdminsSpellcheck:
      description: ''
      properties:
        autocorrect:
          description: Enables/disables the use of spell correct/auto correct at query time
          type: boolean
        didyoumean:
          description: Enables/disables the use of did you mean at query time
          type: boolean
        spellcheckEnabled:
          description: "Does the spelling dictionary exists in SOLR\r\nThis determines if toggle in site search settings should be enabled/disabled"
          type: boolean
      type: object
    TypoTolerance:
      properties:
        distance:
          description: Typo tolerance distance for fuzzy match. Must be Integer 1 or 2.
          format: int32
          type: integer
        enabled:
          description: "Only the class itself can set Enabled to some value, \r\nhowever anyone could read the value in Enabled."
          readOnly: true
          type: boolean
        factor:
          description: Typo tolerance distance for fuzzy match. Must be Integer 1-10.
          format: int32
          type: integer
      type: object
    VectorSearchSettings:
      properties:
        applyBoostFunctions:
          type: boolean
        filterByThresholdDistance:
          nullable: true
          type: boolean
        hybridMode:
          format: int32
          type: integer
        multiplier:
          format: double
          type: number
        thresholdDistance:
          format: double
          type: number
        topK:
          format: int32
          type: integer
      type: object
    BoostField:
      properties:
        fieldName:
          nullable: true
          type: string
        valueExpressions:
          items:
            $ref: '#/components/schemas/BoostValue'
          nullable: true
          type: array
      type: object
    BoostValue:
      properties:
        boost:
          format: int32
          type: integer
        operator:
          nullable: true
          type: string
        value:
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````